/*
 * vdr-podcatcher - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2006 Tobias Grimm <vdr@e-tobi.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: listmenumock.h 2491 2006-01-26 23:32:06Z svntobi $
 *
 */

#ifndef ___LISTMENUMOCK_H
#define ___LISTMENUMOCK_H

#include <string>
#include "stringmessagemock.h"
#include "listmenu.h"

class ListMenuMock: public StringMessageMock, public IListMenu
{
    public:
        std::string red;
        std::string green;
        std::string yellow;
        std::string blue;
        bool isActiveMenu;

    private:
        void SetHelpString(std::string& str, const char* text);

    public:
        ListMenuMock();
        // <IListMenu>
        void SetTitle(std::string title);
        void AddItem(std::string item);
        void SetRedHelp(std::string text);
        void SetGreenHelp(std::string text);
        void SetYellowHelp(std::string text);
        void SetBlueHelp(std::string text);
        eOSState ShowSubMenu(cOsdMenu* menu);
        void Clear();
        void Refresh();
        bool IsActiveMenu();
        // </IListMenu>
};

#endif
